net.sf.jasperreports.engine.export.tabulator

## Class Tabulator

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.Tabulator

-     public class Tabulator
      extends java.lang.Object

  Version:
    $Id: Tabulator.java 6066 2013-04-16 08:00:09Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `Tabulator.CollapseCheck`
    `protected class` | `Tabulator.ParentCheck`
    `protected class` | `Tabulator.ParentDrop`
    `protected class` | `Tabulator.SpanCheck`
    `protected static class` | `Tabulator.SpanInfo<T extends DimensionEntry>`
    `protected class` | `Tabulator.SpanRangeCheck`
    `protected class` | `Tabulator.TableCellCreator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tabulator(ExporterFilter filter, java.util.List<? extends JRPrintElement> elements)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMargins(int width, int height)`
    `protected boolean` | `canOverwrite(Cell existingCell, FrameCell currentParent)`
    `protected void` | `collapseSpanColumns(Table table, DimensionRange<Column> range)`
    `protected void` | `collapseSpanRows(Table table, DimensionRange<Row> range)`
    `protected Column` | `columnKey(int startCoord)`
    `protected void` | `columnSplit(Table table, Column splitCol, Column newCol)`
    `protected void` | `createLayeredCell(Table table, FrameCell parentCell, int xOffset, int yOffset, JRPrintElement element, PrintElementIndex parentIndex, int elementIndex, DimensionRange<Column> layeredColRange, DimensionRange<Row> layeredRowRange)`
    `protected void` | `createOverlappedLayer(int xOffset, int yOffset, LayeredCell layeredCell, JRPrintElement element, PrintElementIndex parentIndex, int elementIndex, DimensionRange<Column> layeredColRange, DimensionRange<Row> layeredRowRange)`
    `protected FrameCell` | `droppedParent(FrameCell existingParent, FrameCell parent)`
    `JRPrintElement` | `getCellElement(BaseElementCell cell)`
    `protected JRPrintElement` | `getCellElement(PrintElementIndex parentIndex, int index)`
    `protected Tabulator.SpanInfo<Column>` | `getColumnCellSpan(java.util.NavigableSet<Column> columns, Column column, Row row, Cell cell)`
    `protected Tabulator.SpanInfo<Column>` | `getColumnCellSpan(TablePosition position, Cell cell)`
    `protected Pair<Column,Column>` | `getColumnSpanRange(Table table, Column col, Row row, Cell spanned)`
    `protected Tabulator.SpanInfo<Row>` | `getRowCellSpan(java.util.NavigableSet<Row> rows, Column column, Row row, Cell cell)`
    `protected Tabulator.SpanInfo<Row>` | `getRowCellSpan(TablePosition position, Cell cell)`
    `protected Pair<Row,Row>` | `getRowSpanRange(Table table, Column col, Row row, Cell spanned)`
    `Table` | `getTable()`
    `TableCell` | `getTableCell(TablePosition position, Cell cell)`
    `protected boolean` | `isParent(FrameCell parent, Cell child)`
    `protected boolean` | `isParent(FrameCell parent, FrameCell child)`
    `protected boolean` | `isSplitCell(Cell spanned, Cell cell)`
    `protected void` | `layoutElements(java.util.List<? extends JRPrintElement> elementList, Table table, FrameCell parentCell, PrintElementIndex parentIndex, int xOffset, int yOffset, Bounds elementBounds)`
    `protected void` | `moveCellsToLayerTable(FrameCell parentCell, Table layerTable, DimensionRange<Column> colRange, DimensionRange<Row> rowRange)`
    `protected Cell` | `overlapParentCell(Cell existingCell, FrameCell currentParent)`
    `protected boolean` | `placeElement(Table table, FrameCell parentCell, int xOffset, int yOffset, JRPrintElement element, PrintElementIndex parentIndex, int elementIndex, boolean allowOverlap)`
    `protected void` | `placeInLayeredCell(int xOffset, int yOffset, JRPrintElement element, PrintElementIndex parentIndex, int elementIndex, LayeredCell layeredCell, DimensionRange<Column> layeredColRange, DimensionRange<Row> layeredRowRange)`
    `protected void` | `placeOverlappedElement(Table table, FrameCell parentCell, int xOffset, int yOffset, JRPrintElement element, PrintElementIndex parentIndex, int elementIndex, Bounds overlapBounds)`
    `protected Row` | `rowKey(int startCoord)`
    `protected void` | `rowSplit(Table table, Row splitRow, Row newRow)`
    `protected void` | `setElementCells(DimensionRange<Column> elementColRange, DimensionRange<Row> elementRowRange, Cell elementCell)`
    `protected void` | `setElementCells(Table table, FrameCell parentCell, int xOffset, int yOffset, JRPrintElement element, PrintElementIndex parentIndex, int elementIndex, DimensionRange<Column> colRange, DimensionRange<Row> rowRange)`
    `void` | `tabulate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tabulator

          public Tabulator(ExporterFilter filter,
                   java.util.List<? extends JRPrintElement> elements)

  - ### Method Detail

    - #### tabulate

          public void tabulate()

    - #### layoutElements

          protected void layoutElements(java.util.List<? extends JRPrintElement> elementList,
                            Table table,
                            FrameCell parentCell,
                            PrintElementIndex parentIndex,
                            int xOffset,
                            int yOffset,
                            Bounds elementBounds)

    - #### placeElement

          protected boolean placeElement(Table table,
                             FrameCell parentCell,
                             int xOffset,
                             int yOffset,
                             JRPrintElement element,
                             PrintElementIndex parentIndex,
                             int elementIndex,
                             boolean allowOverlap)

    - #### placeOverlappedElement

          protected void placeOverlappedElement(Table table,
                                    FrameCell parentCell,
                                    int xOffset,
                                    int yOffset,
                                    JRPrintElement element,
                                    PrintElementIndex parentIndex,
                                    int elementIndex,
                                    Bounds overlapBounds)

    - #### placeInLayeredCell

          protected void placeInLayeredCell(int xOffset,
                                int yOffset,
                                JRPrintElement element,
                                PrintElementIndex parentIndex,
                                int elementIndex,
                                LayeredCell layeredCell,
                                DimensionRange<Column> layeredColRange,
                                DimensionRange<Row> layeredRowRange)

    - #### createLayeredCell

          protected void createLayeredCell(Table table,
                               FrameCell parentCell,
                               int xOffset,
                               int yOffset,
                               JRPrintElement element,
                               PrintElementIndex parentIndex,
                               int elementIndex,
                               DimensionRange<Column> layeredColRange,
                               DimensionRange<Row> layeredRowRange)

    - #### createOverlappedLayer

          protected void createOverlappedLayer(int xOffset,
                                   int yOffset,
                                   LayeredCell layeredCell,
                                   JRPrintElement element,
                                   PrintElementIndex parentIndex,
                                   int elementIndex,
                                   DimensionRange<Column> layeredColRange,
                                   DimensionRange<Row> layeredRowRange)

    - #### setElementCells

          protected void setElementCells(Table table,
                             FrameCell parentCell,
                             int xOffset,
                             int yOffset,
                             JRPrintElement element,
                             PrintElementIndex parentIndex,
                             int elementIndex,
                             DimensionRange<Column> colRange,
                             DimensionRange<Row> rowRange)

    - #### canOverwrite

          protected boolean canOverwrite(Cell existingCell,
                             FrameCell currentParent)

    - #### isParent

          protected boolean isParent(FrameCell parent,
                         FrameCell child)

    - #### overlapParentCell

          protected Cell overlapParentCell(Cell existingCell,
                               FrameCell currentParent)

    - #### getColumnSpanRange

          protected Pair<Column,Column> getColumnSpanRange(Table table,
                                               Column col,
                                               Row row,
                                               Cell spanned)

    - #### getRowSpanRange

          protected Pair<Row,Row> getRowSpanRange(Table table,
                                      Column col,
                                      Row row,
                                      Cell spanned)

    - #### moveCellsToLayerTable

          protected void moveCellsToLayerTable(FrameCell parentCell,
                                   Table layerTable,
                                   DimensionRange<Column> colRange,
                                   DimensionRange<Row> rowRange)

    - #### collapseSpanColumns

          protected void collapseSpanColumns(Table table,
                                 DimensionRange<Column> range)

    - #### collapseSpanRows

          protected void collapseSpanRows(Table table,
                              DimensionRange<Row> range)

    - #### setElementCells

          protected void setElementCells(DimensionRange<Column> elementColRange,
                             DimensionRange<Row> elementRowRange,
                             Cell elementCell)

    - #### addMargins

          public void addMargins(int width,
                        int height)

    - #### columnKey

          protected Column columnKey(int startCoord)

    - #### rowKey

          protected Row rowKey(int startCoord)

    - #### columnSplit

          protected void columnSplit(Table table,
                         Column splitCol,
                         Column newCol)

    - #### rowSplit

          protected void rowSplit(Table table,
                      Row splitRow,
                      Row newRow)

    - #### isSplitCell

          protected boolean isSplitCell(Cell spanned,
                            Cell cell)

    - #### getTable

          public Table getTable()

    - #### getCellElement

          public JRPrintElement getCellElement(BaseElementCell cell)

    - #### getCellElement

          protected JRPrintElement getCellElement(PrintElementIndex parentIndex,
                                      int index)

    - #### isParent

          protected boolean isParent(FrameCell parent,
                         Cell child)

    - #### getColumnCellSpan

          protected Tabulator.SpanInfo<Column> getColumnCellSpan(TablePosition position,
                                                     Cell cell)

    - #### getColumnCellSpan

          protected Tabulator.SpanInfo<Column> getColumnCellSpan(java.util.NavigableSet<Column> columns,
                                                     Column column,
                                                     Row row,
                                                     Cell cell)

    - #### getRowCellSpan

          protected Tabulator.SpanInfo<Row> getRowCellSpan(TablePosition position,
                                               Cell cell)

    - #### getRowCellSpan

          protected Tabulator.SpanInfo<Row> getRowCellSpan(java.util.NavigableSet<Row> rows,
                                               Column column,
                                               Row row,
                                               Cell cell)

    - #### droppedParent

          protected FrameCell droppedParent(FrameCell existingParent,
                                FrameCell parent)

    - #### getTableCell

          public TableCell getTableCell(TablePosition position,
                               Cell cell)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com